SKATE(1)

NAME
skate - Skate, a personal key value store.

SYNOPSIS
skate [options...] [argument...]

DESCRIPTION

COMMANDS

delete KEY[@DB]
    Delete a key with an optional @ db.

get KEY[@DB]
    Get a value for a key with an optional @ db.

OPTIONS
    --b --show-binary print binary values

help [command]
    Help about any command

link [code]
    Link multiple machines to your Charm account

list [@DB]
    List key value pairs with an optional @ db.

OPTIONS
    --d --delimiter delimiter to separate keys and values

    --k --keys-only
        only print keys and don't fetch values from the db

    --r --reverse
        list in reverse lexicographic order

    --b --show-binary
        print binary values

    --v --values-only
        only print values

list-dbs
    List databases.

reset [@DB]
    Delete local db and pull down fresh copy from Charm Cloud.

set KEY[@DB] VALUE
    Set a value for a key with an optional @ db.

sync [@DB]
    Sync local db with latest Charm Cloud db.

COPYRIGHT
(C) 2021-2022 Charmbracelet, Inc.

Released under MIT license.